Ubuntu 编译新版本zcash出错


#1

今天刚更新新的zcash版本V2.0.1,运行./zcutil/build.sh -j2 出错,如下:

curl: (35) gnutls_handshake() failed: The TLS connection was non-properly terminated.
funcs.mk:257: recipe for target ‘/work/zcash/depends/sources/download-stamps/.stamp_fetched-libsodium-libsodium-1.0.15.tar.gz.hash’ failed
make: *** [/work/zcash/depends/sources/download-stamps/.stamp_fetched-libsodium-libsodium-1.0.15.tar.gz.hash] Error 35
make: Leaving directory ‘/work/zcash/depends’

哪位知道这是什么原因?怎么解决?感谢!


#2

@garethtdavies pinging


#3

I haven’t a clue but it seems a common error and perhaps proxy/firewall related? I don’t think it’s Zcash specific in that regard and there are quite a few different options say Googling for gnutls_handshake() failed: The TLS connection was non-properly terminated.